
extends Node

# member variables here, example:
# var a=2
# var b="textvar"
var jugadorUno
var jugadorDos

var VyctoryText

var menu

func _ready():
	# Called every time the node is added to the scene.
	# Initialization here
	set_fixed_process(true)
	jugadorUno = get_node("Jugador Uno")
	jugadorDos = get_node("Jugador Dos")
	VyctoryText = get_node("Victory")
	VyctoryText.hide()
	menu = preload("res://Scene/Menu.tscn")
	get_node("Continue").hide()

func _fixed_process(delta):
	if jugadorUno.vida < 1 && !VyctoryText.is_visible():
		jugadorDosWin()
	if jugadorDos.vida < 1 && !VyctoryText.is_visible():
		jugadorUnoWin()
	if VyctoryText.is_visible():
		if !VyctoryText.get_node("AnimationPlayer").is_playing():
			get_node("Continue").show()
		if Input.is_action_pressed("Enter"):
			load_menu()

func load_menu():
	get_tree().change_scene_to(menu)

func jugadorUnoWin():
	pausePlayers()
	VyctoryText.set_text("PLAYER ONE WINS!")
	get_node("Victory/AnimationPlayer").play("WIN P1")

func pausePlayers():
	get_node("ShakerPlayer").end()
	get_node("DrumsPlayer").end()
	get_node("Bell").play("Bell")
	jugadorUno.stop()
	jugadorDos.stop()
	VyctoryText.show()

func jugadorDosWin():
	pausePlayers()
	VyctoryText.set_text("PLAYER TWO WINS!")
	get_node("Victory/AnimationPlayer").play("WIN P2")