
extends RigidBody2D

# member variables here, example:
# var a=2
# var b="textvar"

var particleInstance
var soundInstance

func _ready():
	# Called every time the node is added to the scene.
	# Initialization here
	set_fixed_process(true)
	set_contact_monitor( true )
	set_max_contacts_reported( 5 )
	connect("body_enter",self,"collision")
	particleInstance = preload("res://ModoEspecial/Explosion.tscn")
	soundInstance = preload("res://ModoEspecial/ExplosionPlayer.tscn")

func _fixed_process(delta):
	if get_pos().y > get_viewport().get_rect().size.height && get_linear_velocity().y > 0:
		set_linear_velocity(Vector2(get_linear_velocity().x,get_linear_velocity().y * -1))
	if get_pos().y < 0 && get_linear_velocity().y < 0:
		set_linear_velocity(Vector2(get_linear_velocity().x,get_linear_velocity().y * -1))

func collision(body):
	if body.get_meta("type") != get_meta("type"):
		var particle = particleInstance.instance()
		particle.set_pos(get_pos())
		get_parent().add_child(particle)
		var sound = soundInstance.instance()
		sound.play("Explosion")
		get_parent().add_child(sound)
		
		queue_free()
	if body.get_meta("type") == "Jugador":
		body.vidaMenos()
		queue_free()