
extends RigidBody2D

# member variables here, example:
# var a=2
# var b="textvar"
var municionInstance
var flag

var contador
var velocidadDisparos

var vida

var generador

var texto

func _ready():
	# Called every time the node is added to the scene.
	# Initialization here
	set_fixed_process(true)
	set_process_input(true)
	municionInstance = preload("res://Object Scenes/Municion.tscn")
	flag = false
	contador = 0
	velocidadDisparos = 150
	set_meta("type","Jugador")
	vida = 100
	
	texto = get_node("Label")
	texto.updateText(vida)
	generador = get_node("Generador")

func stop():
	get_tree().set_pause(true)

func vidaMenos():
	vida -= 1
	texto.updateText(vida)

func _fixed_process(delta):
	contador += delta
	if Input.is_action_pressed("Jugador_Uno_Boton"):
		flag = false
	
	if Input.is_action_pressed("Jugador1Abajo") && generador.get_global_pos().y < get_viewport().get_rect().size.height:
		generador.set_pos(Vector2(generador.get_pos().x, generador.get_pos().y + 5))
	
	if Input.is_action_pressed("Jugador1Arriba") && generador.get_global_pos().y > 0:
		generador.set_pos(Vector2(generador.get_pos().x, generador.get_pos().y - 5))

func _input(event):
	if event.is_action_pressed("Jugador_Uno_Boton") && !flag:
		var newWave = municionInstance.instance()
		newWave.set_pos(generador.get_global_pos())
		newWave.set_name("Wave")
		newWave.set_meta("type","Bomba")
		get_parent().add_child(newWave)
		if contador > 1:
			newWave.set_linear_velocity(Vector2(velocidadDisparos,0))
		else:
			var velocityY = randi()% int(20) / contador
			if randi()% int(100) > 50:
				velocityY *= -1
			newWave.set_linear_velocity(Vector2(velocidadDisparos,velocityY))
		flag = true
		contador = 0
	
	
